Bug 1464662 - gi.overrides.BlockDev.LVMError: Failed to call the 'Deactivate' method on the '/com/redhat/lvmdbus1/Lv/0' object: GDBus.Error:org.freedesktop.DBus.Python.dbus.exceptions.DBusException: ('com.redhat.lvmdbus1.Lv', 'Exit code 5, stderr = WARNING: Not ...
gi.overrides.BlockDev.LVMError: Failed to call the 'Deactivate' method on the...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
25
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:3eb8dab3a3197caa820ed748cdb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-24 06:53 EDT by kb
Modified: 2017-12-12 05:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:33:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (2.58 MB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: anaconda.log (97.04 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: dnf.librepo.log (116.98 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: environ (482 bytes, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: hawkey.log (2.10 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: lsblk_output (3.23 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: lvm.log (783.00 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: nmcli_dev_list (1.59 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: os_info (449 bytes, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: program.log (88.83 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: storage.log (397.23 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: syslog (676.04 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: ifcfg.log (2.42 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details
File: packaging.log (19.90 KB, text/plain)
2017-06-24 06:54 EDT, kb
no flags Details

  None (edit)
Description kb 2017-06-24 06:53:56 EDT
Version-Release number of selected component:
anaconda-25.20.8-1

The following was filed automatically by anaconda:
anaconda 25.20.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.5/site-packages/gi/overrides/BlockDev.py", line 441, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.5/site-packages/blivet/devices/lvm.py", line 898, in _teardown
    blockdev.lvm.lvdeactivate(self.vg.name, self._name)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 417, in teardown
    self._teardown(recursive=recursive)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/lvm.py", line 1902, in teardown
    return DMDevice.teardown(self, recursive)
  File "/usr/lib/python3.5/site-packages/blivet/devices/lvm.py", line 1801, in decorated
    return meth(self, *args, **kwargs)  # pylint: disable=not-callable
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/actionlist.py", line 208, in _pre_process
    device.teardown(recursive=True)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/actionlist.py", line 316, in process
    self._pre_process(devices=devices)
  File "/usr/lib/python3.5/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/blivet.py", line 163, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/osinstall.py", line 1112, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib/python3.5/site-packages/pyanaconda/install.py", line 204, in doInstall
    turn_on_filesystems(storage, mount_only=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3.5/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
gi.overrides.BlockDev.LVMError: Failed to call the 'Deactivate' method on the '/com/redhat/lvmdbus1/Lv/0' object: GDBus.Error:org.freedesktop.DBus.Python.dbus.exceptions.DBusException: ('com.redhat.lvmdbus1.Lv', 'Exit code 5, stderr =   WARNING: Not using lvmetad because duplicate PVs were found.\n  WARNING: Use multipath or vgimportclone to resolve duplicate PVs?\n  WARNING: After duplicates are resolved, run "pvscan --cache" to enable lvmetad.\n  Volume group "fedora" not found\n  Cannot process volume group fedora\n')

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-E-dvd-i386-25 nomodeset quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        25
Comment 1 kb 2017-06-24 06:54:16 EDT
Created attachment 1291439 [details]
File: anaconda-tb
Comment 2 kb 2017-06-24 06:54:19 EDT
Created attachment 1291440 [details]
File: anaconda.log
Comment 3 kb 2017-06-24 06:54:22 EDT
Created attachment 1291441 [details]
File: dnf.librepo.log
Comment 4 kb 2017-06-24 06:54:23 EDT
Created attachment 1291442 [details]
File: environ
Comment 5 kb 2017-06-24 06:54:25 EDT
Created attachment 1291443 [details]
File: hawkey.log
Comment 6 kb 2017-06-24 06:54:27 EDT
Created attachment 1291444 [details]
File: lsblk_output
Comment 7 kb 2017-06-24 06:54:34 EDT
Created attachment 1291445 [details]
File: lvm.log
Comment 8 kb 2017-06-24 06:54:35 EDT
Created attachment 1291446 [details]
File: nmcli_dev_list
Comment 9 kb 2017-06-24 06:54:37 EDT
Created attachment 1291447 [details]
File: os_info
Comment 10 kb 2017-06-24 06:54:40 EDT
Created attachment 1291448 [details]
File: program.log
Comment 11 kb 2017-06-24 06:54:44 EDT
Created attachment 1291449 [details]
File: storage.log
Comment 12 kb 2017-06-24 06:54:50 EDT
Created attachment 1291450 [details]
File: syslog
Comment 13 kb 2017-06-24 06:54:53 EDT
Created attachment 1291451 [details]
File: ifcfg.log
Comment 14 kb 2017-06-24 06:54:56 EDT
Created attachment 1291452 [details]
File: packaging.log
Comment 15 Fedora End Of Life 2017-11-16 13:48:16 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-12-12 05:33:09 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.